Skip to main content
`Ctrl`+`K`

# NEPConvergedReason

Reason a nonlinear eigensolver was determined to have converged or diverged.

## Synopsis

    typedef enum {/* converged */
                  NEP_CONVERGED_TOL                =  1,
                  NEP_CONVERGED_USER               =  2,
                  /* diverged */
                  NEP_DIVERGED_ITS                 = -1,
                  NEP_DIVERGED_BREAKDOWN           = -2,
                        /* unused                  = -3 */
                  NEP_DIVERGED_LINEAR_SOLVE        = -4,
                  NEP_DIVERGED_SUBSPACE_EXHAUSTED  = -5,
                  NEP_CONVERGED_ITERATING          =  0} NEPConvergedReason;

## Values

- `NEP_CONVERGED_TOL` - converged up to tolerance

- `NEP_CONVERGED_USER` - converged due to a user-defined condition

- `NEP_DIVERGED_ITS` - exceeded the maximum number of allowed iterations

- `NEP_DIVERGED_BREAKDOWN` - generic breakdown in method

- `NEP_DIVERGED_LINEAR_SOLVE` - inner linear solve failed

- `NEP_DIVERGED_SUBSPACE_EXHAUSTED` - run out of space for the basis in an unrestarted solver

- `NEP_CONVERGED_ITERATING` - the solver is still running

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSolve()`, `NEPGetConvergedReason()`, `NEPSetTolerances()`

## Level

intermediate

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages